export declare abstract class InternationalizationBase {
    abstract setLocale(localeId: string): any;
    abstract getCurrentLocaleId(): any;
    abstract getTranslate(key: string, param?: number): string;
    abstract getDateFormat(): any;
    abstract getDigitsInfo(): string | null;
    abstract getDecimalSeparator(): string | null;
    abstract getDecimalSymbol(): string;
    abstract getThousandSeparator(): string | null;
    abstract getPercentFormat(): string | null;
    abstract getCurrencyCode(): string | null;
    abstract getCurrencySymbol(): any;
}
